Click here to view and discuss this page in DocCommentXchange. In the future, you will be sent there automatically.

SQL Anywhere 11.0.0 » SQL Anywhere 11 - Changes and Upgrading » Upgrading to SQL Anywhere 11

 

Upgrading UltraLite

Before using existing applications with this version of the software, be sure to review the list of new features and behavior changes to determine whether your application is affected. See:

Using UltraLite 11.0.0 utilities

If you have multiple versions of SQL Anywhere on your computer, you must pay attention to your system path when using UltraLite utilities to make sure that you are using the version 11 utilities. See Using the utilities.

Upgrading version 10 and later databases

For version 10.0.0 and later UltraLite databases, the database file format is automatically upgraded to version 11 when you connect to your database from a version 11 application or any version 11 UltraLite tool. Once the database is upgraded, it cannot connect to version 10 applications, utilities, and software. See Upgrading version 10.0.0 or later UltraLite databases.

Upgrading version 9 and earlier databases

For version 9 and earlier UltraLite databases, you must rebuild the database, which consists of unloading the old database, and reloading it into a new version 11 database. Attempting to connect version 9 or earlier databases with UltraLite 11 results in an error on database startup. See Upgrading version 9 and earlier UltraLite databases.

Compatibility with existing software
  • UltraLite for Appforge is not supported by version 11.
  • UltraLite 11.0.0 database files only support connections from version 11.0.0 client applications or the version 11 UltraLite engine.
  • UltraLite 11.0.0 automatically upgrades version 10 database files.
  • The UltraLite version 11 runtime and the UltraLite version 11 engine do not work with database files and application code created with version 9 and earlier of UltraLite.
  • Management of old databases and client applications from the current version of Sybase Central is provided as follows:
    • Full management of version 11 databases.
    • Full management of version 10 databases. They are automatically upgraded to version 11.
    • You can only connect to a version 8 or 9 database to upgrade the database file format.
Early versions of Palm OS

Early versions (for example, version 4.x) of Palm devices only have approximately 200 KB of RAM. This limitation can cause problems because of the dynamic memory requirements of UltraLite. For information about how to optimize these early versions of Palm for UltraLite, see Platform specific optimization strategies for UltraLite.


Upgrading version 10.0.0 or later UltraLite databases
Upgrading version 9 and earlier UltraLite databases